Runtime

## org.eclipse.gmf.runtime.emf.core.clipboard
Class CopyingResourceSet

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl
              org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
                  org.eclipse.gmf.runtime.emf.core.clipboard.CopyingResourceSet

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.resource.ResourceSet

    public class CopyingResourceSet

extends org.eclipse.emf.ecore.resource.impl.ResourceSetImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`org.eclipse.emf.ecore.resource.impl.ResourceSetImpl.ResourcesEList<E extends java.lang.Object & org.eclipse.emf.ecore.resource.Resource>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`adapterFactories, loadOptions, packageRegistry, resourceFactoryRegistry, resources, uriConverter, uriResourceMap`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.resource.ResourceSet
`RESOURCE_SET__RESOURCES`

Constructor Summary
`CopyingResourceSet(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

Method Summary
`org.eclipse.emf.ecore.resource.Resource` `createResource(org.eclipse.emf.common.util.URI uri)`
`boolean` `eNotificationRequired()`
`org.eclipse.emf.common.util.EList` `getAdapterFactories()`
`org.eclipse.emf.ecore.EObject` `getEObject(org.eclipse.emf.common.util.URI uri, boolean loadOnDemand)`
`java.util.Map` `getLoadOptions()`
`org.eclipse.emf.ecore.EPackage.Registry` `getPackageRegistry()`
`org.eclipse.emf.ecore.resource.Resource` `getResource(org.eclipse.emf.common.util.URI uri, boolean loadOnDemand)`
`org.eclipse.emf.ecore.resource.Resource.Factory.Registry` `getResourceFactoryRegistry()`
`java.util.Map` `getResourcesMap()`
`org.eclipse.emf.ecore.resource.URIConverter` `getURIConverter()`
`java.util.Map` `getURIResourceMap()`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
`delegatedGetResource, demandCreateResource, demandLoad, demandLoadHelper, getAllContents, getResources, handleDemandLoadException, setPackageRegistry, setResourceFactoryRegistry, setURIConverter, setURIResourceMap, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### CopyingResourceSet

    public CopyingResourceSet(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

Method Detail

### getResourcesMap

    public java.util.Map getResourcesMap()

### getEObject

    public org.eclipse.emf.ecore.EObject getEObject(org.eclipse.emf.common.util.URI uri,
                                                    boolean loadOnDemand)

  Specified by:
    `getEObject` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getEObject` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### getResource

    public org.eclipse.emf.ecore.resource.Resource getResource(org.eclipse.emf.common.util.URI uri,
                                                               boolean loadOnDemand)

  Specified by:
    `getResource` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### getURIResourceMap

    public java.util.Map getURIResourceMap()

  Overrides:
    `getURIResourceMap` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `createResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### eNotificationRequired

    public boolean eNotificationRequired()

  Overrides:
    `eNotificationRequired` in class `org.eclipse.emf.common.notify.impl.BasicNotifierImpl`

### getAdapterFactories

    public org.eclipse.emf.common.util.EList getAdapterFactories()

  Specified by:
    `getAdapterFactories` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getAdapterFactories` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### getLoadOptions

    public java.util.Map getLoadOptions()

  Specified by:
    `getLoadOptions` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getLoadOptions` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### getPackageRegistry

    public org.eclipse.emf.ecore.EPackage.Registry getPackageRegistry()

  Specified by:
    `getPackageRegistry` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getPackageRegistry` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### getResourceFactoryRegistry

    public org.eclipse.emf.ecore.resource.Resource.Factory.Registry getResourceFactoryRegistry()

  Specified by:
    `getResourceFactoryRegistry` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getResourceFactoryRegistry` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

### getURIConverter

    public org.eclipse.emf.ecore.resource.URIConverter getURIConverter()

  Specified by:
    `getURIConverter` in interface `org.eclipse.emf.ecore.resource.ResourceSet`
  Overrides:
    `getURIConverter` in class `org.eclipse.emf.ecore.resource.impl.ResourceSetImpl`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.